LibreOffice LibreOffice 24.2 SDK API Reference

Loading...
Searching...
No Matches
Variables
com::sun::star::drawing::EnhancedCustomShapeMetalType Constant Group Reference

These constants define the way the attribute Metal of service EnhancedCustomShapeExtrusion is interpreted for rendering the shape. More...

## Variables
const short | MetalODF = 0
| The rendering of the shape is modified as specified in the ODF standard.
const short | MetalMSCompatible = 1
| The rendering of the shape is modified to get a similar rendering as in Microsoft Office for objects, which have the fc3DMetallic flag in Rich Text Format or binary MS Office format set.

## Detailed Description

These constants define the way the attribute Metal of service EnhancedCustomShapeExtrusion is interpreted for rendering the shape.

Since
  LibreOffice 7.4

## Variable Documentation

## ◆ MetalMSCompatible

const short MetalMSCompatible = 1

The rendering of the shape is modified to get a similar rendering as in Microsoft Office for objects, which have the fc3DMetallic flag in Rich Text Format or binary MS Office format set.

## ◆ MetalODF

const short MetalODF = 0

The rendering of the shape is modified as specified in the ODF standard.